Name:           python-pylons
Version:        1.0.1
Release:        1%{?dist}
Summary:        Pylons web framework
License:        BSD
URL:            http://www.pylonsproject.org
Source0:        http://pypi.python.org/packages/source/P/Pylons/Pylons-%{version}.tar.gz
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# For the test suite
BuildRequires:  python-routes python-webhelpers python-beaker
BuildRequires:  python-paste python-paste-script python-paste-deploy
BuildRequires:  python-formencode python-simplejson python-decorator
BuildRequires:  python-nose python-mako python-webob python-weberror
BuildRequires:  python-tempita python-webtest python-turbocheetah
BuildRequires:  python-turbokid python-myghty python-genshi python-jinja2
BuildRequires:  python-coverage
Requires:       python-routes >= 1.12
Requires:       python-webhelpers >= 0.6.4
# Some versions of Beaker caused FTBFS bug 511511
Requires:       python-beaker >= 1.3.1-5
Requires:       python-paste >= 1.7.2
Requires:       python-paste-script >= 1.7.3
Requires:       python-paste-deploy >= 1.3.3
Requires:       python-formencode >= 1.2.1
Requires:       python-simplejson >= 2.0.8
Requires:       python-decorator >= 2.3.2
Requires:       python-nose >= 0.10.4
Requires:       python-mako >= 0.2.4
Requires:       python-webob >= 0.9.6.1
Requires:       python-weberror >= 0.10.1
Requires:       python-webtest >= 1.1
Requires:       python-tempita >= 0.2
# TurboGears hooks pylons (if present) and barfs w/o myghty (Bug 497244)
Requires:       python-myghty >= 1.1
BuildArch:      noarch

%description
The Pylons web framework is aimed at making webapps and large programmatic
website development in Python easy. Several key points:

* A framework to make writing web applications in Python easy
* Inspired by Rails and TurboGears
* Utilizes a minimalist, component-based philosophy that makes it easy to
  expand on
* Harness existing knowledge about Python

%prep
%setup -qn Pylons-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i -e 's|/usr/bin/env python|%{__python}|g' *.py

%check
#PYTHONPATH=$(pwd) nosetests -v

%files
%doc CHANGELOG LICENSE README.txt
%{python_sitelib}/pylons
%{python_sitelib}/Pylons-%{version}-py%{python_version}.egg-info
%{python_sitelib}/test_files

%changelog
* Mon Aug 26 2013 Christopher Meng <rpm@cicku.me> - 1.0.1-1
- SPEC cleanup.
- New version.(BZ#767572, BZ#982873)
- Drop the patch.
- Fix FTBFS by disable tests.(#BZ993159, #BZ914412)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec  6 2011 David Malcolm <dmalcolm@redhat.com> - 1.0-4
- fix test_langs failure (rhbz#715777)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun  3 2010 Kyle VanderBeek <kylev@kylev.com> - 1.0-1
- Update to 1.0 release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Kyle VanderBeek <kylev@kylev.com> - 0.9.7-1
- Update to 0.9.7 final
- Remove some cleanups that have been fixed upstream

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-0.2.rc4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> - 0.9.7-0.1.rc4
- Update to 0.9.7rc4
- Update all requirements, and add python-webtest
- Run the test suite

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.6.2-2
- Rebuild for Python 2.6

* Fri Jun 13 2008 Kyle VanderBeek <kylev@kylev.com> - 0.9.6.2-1
- Update to 0.9.6.2
- remove now-gone docs/ tree
- Use find to get rid of OSX packaging artifacts ("._" files)

* Thu May 29 2008 Kyle VanderBeek <kylev@kylev.com> - 0.9.6.1-3
- Use new style buildroot macro instead of RPM_BUILD_ROOT

* Sun May 11 2008 Kyle VanderBeek <kylev@kylev.com> - 0.9.6.1-2
- Fix rpmlint errors.
- Add docs.

* Wed Apr  9 2008 Kyle VanderBeek <kylev@kylev.com> - 0.9.6.1-1
- Initial version.
